### Function

# FwupdPlugin common_get_olson_timezone_id

#### Declaration [src]

    gchar*
    fu_common_get_olson_timezone_id (
      void
      GError** error
    )

#### Description [src]

Gets the system Olson timezone ID, as used in the CLDR and ICU specifications.

Available since: | 1.9.7

#### Return value

Returns: | `gchar*`
| Timezone string, e.g. `Europe/London` or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.